diff --git a/libkpgp/kpgpbaseG.cpp b/libkpgp/kpgpbaseG.cpp
index b04b31bf2..ecb5af195 100644
--- a/libkpgp/kpgpbaseG.cpp
+++ b/libkpgp/kpgpbaseG.cpp
@@ -38,9 +38,9 @@ BaseG::BaseG()
 {
   // determine the version of gpg (the method is equivalent to gpgme's method)
   runGpg( "--version", 0 );
-  int eol = output.tqfind( '\n' );
+  int eol = output.find( '\n' );
   if( eol > 0 ) {
-    int pos = output.tqfindRev( ' ', eol - 1 );
+    int pos = output.findRev( ' ', eol - 1 );
     if( pos != -1 ) {
       mVersion = output.mid( pos + 1, eol - pos - 1 );
       kdDebug(5100) << "found GnuPG " << mVersion << endl;
@@ -138,11 +138,11 @@ BaseG::encsign( Block& block, const KeyIDList& recipients,
     // (expired or revoked key)
     // gpg: 23456789: no info to calculate a trust probability
     // (untrusted key, 23456789 is the key Id of the encryption sub key)
-    while((index = error.tqfind("skipped: ",index)) != -1)
+    while((index = error.find("skipped: ",index)) != -1)
     {
       bad = TRUE;
-      index = error.tqfind('\'',index);
-      int index2 = error.tqfind('\'',index+1);
+      index = error.find('\'',index);
+      int index2 = error.find('\'',index+1);
       badkeys += error.mid(index, index2-index+1) + ", ";
       num++;
     }
@@ -178,14 +178,14 @@ BaseG::encsign( Block& block, const KeyIDList& recipients,
     // Example 4 (unusable secret key, sign & encrypt):
     // gpg: skipped `0xAC0EB35D': unusable secret key
     // gpg: [stdin]: sign+encrypt failed: unusable secret key
-    if( error.tqfind("bad passphrase") != -1 )
+    if( error.find("bad passphrase") != -1 )
     {
       errMsg = i18n("Signing failed because the passphrase is wrong.");
       status |= BADPHRASE;
       status |= ERR_SIGNING;
       status |= ERROR;
     }
-    else if( error.tqfind("unusable secret key") != -1 )
+    else if( error.find("unusable secret key") != -1 )
     {
       errMsg = i18n("Signing failed because your secret key is unusable.");
       status |= ERR_SIGNING;
@@ -213,7 +213,7 @@ BaseG::decrypt( Block& block, const char *passphrase )
   clear();
   input = block.text();
   exitqStatus = runGpg("--batch --decrypt", passphrase);
-  if( !output.isEmpty() && ( error.tqfind( "gpg: quoted printable" ) == -1 ) )
+  if( !output.isEmpty() && ( error.find( "gpg: quoted printable" ) == -1 ) )
     block.setProcessedText( output );
   block.setError( error );
 
@@ -244,13 +244,13 @@ BaseG::decrypt( Block& block, const char *passphrase )
   // gpg: public key decryption failed: bad passphrase
   // gpg: encrypted with 2048-bit ELG-E key, ID 23456789, created 2000-02-02
   //       "Foo Bar (home) <foo@bar.xyz>"
-  if( error.tqfind( "gpg: encrypted with" ) != -1 )
+  if( error.find( "gpg: encrypted with" ) != -1 )
   {
     //kdDebug(5100) << "kpgpbase: message is encrypted" << endl;
     status |= ENCRYPTED;
-    if( error.tqfind( "\ngpg: decryption failed" ) != -1 )
+    if( error.find( "\ngpg: decryption failed" ) != -1 )
     {
-      if( ( index = error.tqfind( "bad passphrase" ) ) != -1 )
+      if( ( index = error.find( "bad passphrase" ) ) != -1 )
       {
         if( passphrase != 0 )
         {
@@ -262,15 +262,15 @@ BaseG::decrypt( Block& block, const char *passphrase )
         else
         {
           // Search backwards the user ID of the needed key
-          index2 = error.tqfindRev('"', index) - 1;
-          index = error.tqfindRev("      \"", index2) + 7;
+          index2 = error.findRev('"', index) - 1;
+          index = error.findRev("      \"", index2) + 7;
           // The conversion from UTF8 is necessary because gpg stores and
           // prints user IDs in UTF8
           block.setRequiredUserId( TQString::fromUtf8( error.mid( index, index2 - index + 1 ) ) );
           kdDebug(5100) << "Base: key needed is \"" << block.requiredUserId() << "\"!" << endl;
         }
       }
-      else if( error.tqfind( "secret key not available" ) != -1 )
+      else if( error.find( "secret key not available" ) != -1 )
       {
         // no secret key fitting this message
         status |= NO_SEC_KEY;
@@ -283,14 +283,14 @@ BaseG::decrypt( Block& block, const char *passphrase )
 #if 0
     // ##### FIXME: This information is anyway currently not used
     //       I'll change it to always determine the recipients.
-    index = error.tqfind("can only be read by:");
+    index = error.find("can only be read by:");
     if(index != -1)
     {
-      index = error.tqfind('\n',index);
-      int end = error.tqfind("\n\n",index);
+      index = error.find('\n',index);
+      int end = error.find("\n\n",index);
 
       mRecipients.clear();
-      while( (index2 = error.tqfind('\n',index+1)) <= end )
+      while( (index2 = error.find('\n',index+1)) <= end )
       {
 	TQCString item = error.mid(index+1,index2-index-1);
 	item.stripWhiteSpace();
@@ -304,48 +304,48 @@ BaseG::decrypt( Block& block, const char *passphrase )
   // Example 1 (unknown signature key):
   // gpg: Signature made Wed 02 Jan 2002 11:26:33 AM CET using DSA key ID 2E250C64
   // gpg: Can't check signature: public key not found
-  if((index = error.tqfind("Signature made")) != -1)
+  if((index = error.find("Signature made")) != -1)
   {
     //kdDebug(5100) << "Base: message is signed" << endl;
     status |= SIGNED;
     // get signature date and signature key ID
     // Example: Signature made Sun 06 May 2001 03:49:27 PM CEST using DSA key ID 12345678
-    index2 = error.tqfind("using", index+15);
+    index2 = error.find("using", index+15);
     block.setSignatureDate( error.mid(index+15, index2-(index+15)-1) );
     kdDebug(5100) << "Message was signed on '" << block.signatureDate() << "'\n";
-    index2 = error.tqfind("key ID ", index2) + 7;
+    index2 = error.find("key ID ", index2) + 7;
     block.setSignatureKeyId( error.mid(index2,8) );
     kdDebug(5100) << "Message was signed with key '" << block.signatureKeyId() << "'\n";
     // move index to start of next line
-    index = error.tqfind('\n', index2)+1;
+    index = error.find('\n', index2)+1;
 
-    if ((error.tqfind("Key matching expected", index) != -1)
-        || (error.tqfind("Can't check signature", index) != -1))
+    if ((error.find("Key matching expected", index) != -1)
+        || (error.find("Can't check signature", index) != -1))
     {
       status |= UNKNOWN_SIG;
       status |= GOODSIG;
       block.setSignatureUserId( TQString() );
     }
-    else if( error.tqfind("Good signature", index) != -1 )
+    else if( error.find("Good signature", index) != -1 )
     {
       status |= GOODSIG;
       // get the primary user ID of the signer
-      index = error.tqfind('"',index);
-      index2 = error.tqfind('\n',index+1);
-      index2 = error.tqfindRev('"', index2-1);
+      index = error.find('"',index);
+      index2 = error.find('\n',index+1);
+      index2 = error.findRev('"', index2-1);
       block.setSignatureUserId( error.mid( index+1, index2-index-1 ) );
     }
-    else if( error.tqfind("BAD signature", index) != -1 )
+    else if( error.find("BAD signature", index) != -1 )
     {
       //kdDebug(5100) << "BAD signature" << endl;
       status |= ERROR;
       // get the primary user ID of the signer
-      index = error.tqfind('"',index);
-      index2 = error.tqfind('\n',index+1);
-      index2 = error.tqfindRev('"', index2-1);
+      index = error.find('"',index);
+      index2 = error.find('\n',index+1);
+      index2 = error.findRev('"', index2-1);
       block.setSignatureUserId( error.mid( index+1, index2-index-1 ) );
     }
-    else if( error.tqfind("Can't find the right public key", index) != -1 )
+    else if( error.find("Can't find the right public key", index) != -1 )
     {
       // #### fix this hack
       // I think this can't happen anymore because if the pubring is missing
@@ -389,7 +389,7 @@ BaseG::readPublicKey( const KeyID& keyID,
   if( !strncmp( output.data(), "pub:", 4 ) )
     offset = 0;
   else {
-    offset = output.tqfind( "\npub:" );
+    offset = output.find( "\npub:" );
     if( offset == -1 )
       return 0;
     else
@@ -536,7 +536,7 @@ BaseG::parseKeyData( const TQCString& output, int& offset, Key* key /* = 0 */ )
   {
     int eol;
     // search the end of the current line
-    if( ( eol = output.tqfind( '\n', index ) ) == -1 )
+    if( ( eol = output.find( '\n', index ) ) == -1 )
       break;
 
     bool bIsPublicKey = false;
@@ -555,7 +555,7 @@ BaseG::parseKeyData( const TQCString& output, int& offset, Key* key /* = 0 */ )
       Subkey *subkey = new Subkey( TQCString(), !bIsPublicKey );
 
       int pos = index + 4; // begin of 2nd field
-      int pos2 = output.tqfind( ':', pos );
+      int pos2 = output.find( ':', pos );
       for( int field = 2; field <= 12; field++ )
       {
         switch( field )
@@ -652,7 +652,7 @@ BaseG::parseKeyData( const TQCString& output, int& offset, Key* key /* = 0 */ )
           break;
         }
         pos = pos2 + 1;
-        pos2 = output.tqfind( ':', pos );
+        pos2 = output.find( ':', pos );
       }
       key->addSubkey( subkey );
     }
@@ -663,7 +663,7 @@ BaseG::parseKeyData( const TQCString& output, int& offset, Key* key /* = 0 */ )
       UserID *userID = new UserID( "" );
 
       int pos = index + 4; // begin of 2nd field
-      int pos2 = output.tqfind( ':', pos );
+      int pos2 = output.find( ':', pos );
       for( int field=2; field <= 10; field++ )
       {
         switch( field )
@@ -710,13 +710,13 @@ BaseG::parseKeyData( const TQCString& output, int& offset, Key* key /* = 0 */ )
           break;
         case 10: // User-ID
           TQCString uid = output.mid( pos, pos2-pos );
-          // tqreplace "\xXX" with the corresponding character;
+          // replace "\xXX" with the corresponding character;
           // other escaped characters, i.e. \n, \r etc., are ignored
           // because they shouldn't appear in user IDs
-          for ( int idx = 0 ; (idx = uid.tqfind( "\\x", idx )) >= 0 ; ++idx ) {
+          for ( int idx = 0 ; (idx = uid.find( "\\x", idx )) >= 0 ; ++idx ) {
             char str[2] = "x";
             str[0] = (char) TQString( uid.mid( idx + 2, 2 ) ).toShort( 0, 16 );
-            uid.tqreplace( idx, 4, str );
+            uid.replace( idx, 4, str );
           }
           TQString uidString = TQString::fromUtf8( uid.data() );
           // check whether uid was utf-8 encoded
@@ -785,7 +785,7 @@ BaseG::parseKeyData( const TQCString& output, int& offset, Key* key /* = 0 */ )
           break;
         }
         pos = pos2 + 1;
-        pos2 = output.tqfind( ':', pos );
+        pos2 = output.find( ':', pos );
       }
 
       // user IDs are printed in UTF-8 by gpg (if one uses --with-colons)
@@ -801,8 +801,8 @@ BaseG::parseKeyData( const TQCString& output, int& offset, Key* key /* = 0 */ )
       // search the fingerprint (it's in the 10th field)
       int pos = index + 4;
       for( int i = 0; i < 8; i++ )
-        pos = output.tqfind( ':', pos ) + 1;
-      int pos2 = output.tqfind( ':', pos );
+        pos = output.find( ':', pos ) + 1;
+      int pos2 = output.find( ':', pos );
 
       key->setFingerprint( keyID, output.mid( pos, pos2-pos ) );
     }
@@ -830,9 +830,9 @@ BaseG::parseKeyList( const TQCString& output, bool secretKeys )
     offset = 0;
   else {
     if( secretKeys )
-      offset = output.tqfind( "\nsec:" );
+      offset = output.find( "\nsec:" );
     else
-      offset = output.tqfind( "\npub:" );
+      offset = output.find( "\npub:" );
     if( offset == -1 )
       return keys;
     else
diff --git a/libkpgp/kpgpkey.cpp b/libkpgp/kpgpkey.cpp
index b646fdf1d..8a8ed48b8 100644
--- a/libkpgp/kpgpkey.cpp
+++ b/libkpgp/kpgpkey.cpp
@@ -209,7 +209,7 @@ bool Key::matchesUserID(const TQString& str, bool cs)
     return false;
   
   for (UserIDListIterator it(mUserIDs); it.current(); ++it) {
-    if (((*it)->text().tqfind(str, 0, cs)) != -1)
+    if (((*it)->text().find(str, 0, cs)) != -1)
       return true;
   }
 
diff --git a/libkpgp/kpgpui.cpp b/libkpgp/kpgpui.cpp
index eccc58e15..cb07abc41 100644
--- a/libkpgp/kpgpui.cpp
+++ b/libkpgp/kpgpui.cpp
@@ -205,7 +205,7 @@ Config::Config( TQWidget *tqparent, const char *name, bool encrypt )
     msg = i18n( "<qt><p>When this option is enabled, the application will "
 		"always show you a list of public keys from which you can "
 		"choose the one it will use for encryption. If it is off, "
-		"the application will only show the dialog if it cannot tqfind "
+		"the application will only show the dialog if it cannot find "
 		"the right key or if there are several which could be used. "
 		"</p></qt>" );
     TQWhatsThis::add( showKeyApprovalDlg, msg );
@@ -432,7 +432,7 @@ void KeySelectionDialog::initKeylist( const KeyList& keyList,
                                                       (*it)->primaryUserID() );
 
     // select and open the given key
-    if( keyIds.tqfindIndex( curKeyId ) != -1 ) {
+    if( keyIds.findIndex( curKeyId ) != -1 ) {
       if( 0 == firstSelectedItem ) {
         firstSelectedItem = primaryUserID;
       }
@@ -920,7 +920,7 @@ void KeySelectionDialog::slotCheckSelection( TQListViewItem* plvi /* = 0 */ )
         //         extended selection mode a normal left click deselects
         //         the not clicked items.
         if( 0 < selectedCount ) {
-          if( -1 == mKeyIds.tqfindIndex( lvi->text(0).local8Bit() ) ) {
+          if( -1 == mKeyIds.findIndex( lvi->text(0).local8Bit() ) ) {
             // some items of this key are selected and the key wasn't selected
             // before => the user selected something
             kdDebug(5100) << "selectedCount: "<<selectedCount<<"/"<<itemCount
@@ -928,7 +928,7 @@ void KeySelectionDialog::slotCheckSelection( TQListViewItem* plvi /* = 0 */ )
             userAction = SELECTED;
           }
           else if( ( itemCount > selectedCount ) &&
-                   ( -1 != mKeyIds.tqfindIndex( lvi->text(0).local8Bit() ) ) ) {
+                   ( -1 != mKeyIds.findIndex( lvi->text(0).local8Bit() ) ) ) {
             // some items of this key are unselected and the key was selected
             // before => the user deselected something
             kdDebug(5100) << "selectedCount: "<<selectedCount<<"/"<<itemCount
diff --git a/libkpimexchange/core/exchangeaccount.cpp b/libkpimexchange/core/exchangeaccount.cpp
index 14b465605..acff34f12 100644
--- a/libkpimexchange/core/exchangeaccount.cpp
+++ b/libkpimexchange/core/exchangeaccount.cpp
@@ -217,7 +217,7 @@ void ExchangeAccount::calcFolderURLs()
 {
   kdDebug() << "ExchangeAccount::calcFolderURLs" << endl;
   TQDomDocument doc;
-  TQDomElement root = addElement( doc, doc, "DAV:", "proptqfind" );
+  TQDomElement root = addElement( doc, doc, "DAV:", "propfind" );
   TQDomElement prop = addElement( doc, root, "DAV:", "prop" );
   addElement( doc, prop, "urn:schemas:httpmail:", "calendar" );
 // For later use:
@@ -313,10 +313,10 @@ TQString ExchangeAccount::tryMailbox( const TQString &_url, const TQString &user
   TQString result;
   while ( !stream.eof() ) {
       line = stream.readLine(); // line of text excluding '\n'
-      int pos = line.tqfind( "<BASE href=\"", 0, FALSE );
+      int pos = line.find( "<BASE href=\"", 0, FALSE );
       if ( pos < 0 )
         continue;
-      int end = line.tqfind( "\"", pos+12, FALSE );
+      int end = line.find( "\"", pos+12, FALSE );
       if ( pos < 0 ) {
         kdWarning() << "Strange, found no closing quote in " << line << endl;
         continue;
diff --git a/libkpimexchange/core/exchangeclient.cpp b/libkpimexchange/core/exchangeclient.cpp
index cc84822ec..1047f36ef 100644
--- a/libkpimexchange/core/exchangeclient.cpp
+++ b/libkpimexchange/core/exchangeclient.cpp
@@ -100,7 +100,7 @@ void ExchangeClient::test()
   TQString query = 
   "<propfind xmlns=\"DAV:\" xmlns:h=\"urn:schemas:httpmail:\">\r\n"
   "  <allprop/>\r\n"
-  "</proptqfind>\r\n";
+  "</propfind>\r\n";
 
   KIO::DavJob* job = new KIO::DavJob( url, (int) KIO::DAV_PROPFIND, query, false );
   job->addMetaData( "davDepth", "0" );
diff --git a/libkpimexchange/core/exchangedownload.cpp b/libkpimexchange/core/exchangedownload.cpp
index cb941711f..e5a09b530 100644
--- a/libkpimexchange/core/exchangedownload.cpp
+++ b/libkpimexchange/core/exchangedownload.cpp
@@ -255,7 +255,7 @@ void ExchangeDownload::handleAppointments( const TQDomDocument &response,
           continue;
         }
         TQString uid = uidElement.text();
-        if ( ! m_uids.tqcontains( uid ) ) {
+        if ( ! m_uids.contains( uid ) ) {
           m_uids[uid] = 1;
           handleRecurrence(uid);
           successCount++;
@@ -308,7 +308,7 @@ void ExchangeDownload::handleRecurrence( TQString uid )
 void ExchangeDownload::readAppointment( const KURL& url )
 {
   TQDomDocument doc;
-  TQDomElement root = addElement( doc, doc, "DAV:", "proptqfind" );
+  TQDomElement root = addElement( doc, doc, "DAV:", "propfind" );
   TQDomElement prop = addElement( doc, root, "DAV:", "prop" );
   addElement( doc, prop, "urn:schemas:calendar:", "uid" );
   addElement( doc, prop, "urn:schemas:calendar:", "timezoneid" );
diff --git a/libkpimexchange/core/exchangemonitor.cpp b/libkpimexchange/core/exchangemonitor.cpp
index b88510daf..c9f8c627a 100644
--- a/libkpimexchange/core/exchangemonitor.cpp
+++ b/libkpimexchange/core/exchangemonitor.cpp
@@ -200,7 +200,7 @@ void ExchangeMonitor::slotSubscribeResult( KIO::Job * job )
 
   TQStringList headers = TQStringList::split( "\n", job->queryMetaData( "HTTP-Headers" ) );
   for ( TQStringList::Iterator it = headers.begin(); it != headers.end(); ++it ) {
-    int colon = (*it).tqfind( ": " );
+    int colon = (*it).find( ": " );
     if ( colon<0 ) continue;
     TQString tag = (*it).left( colon ).stripWhiteSpace().lower();
     TQString value = (*it).mid( colon+1 ).stripWhiteSpace();
@@ -261,7 +261,7 @@ void ExchangeMonitor::slotUnsubscribeResult( KIO::Job * job )
   kdDebug() << "Subscription ID.text(): " << subscriptionID.text() << endl;
   bool ok;
   ID id = subscriptionID.text().toLong( &ok );
-  if ( ! status.text().tqcontains( "200" ) || !ok) {
+  if ( ! status.text().contains( "200" ) || !ok) {
     kdError() << "UNSUBSCRIBE result is not 200 or no subscription ID found" << endl;
     emit error( ExchangeClient::ServerResponseError, "UNSUBSCRIBE yields an error response: \n" + response.toString() );
   }
@@ -346,7 +346,7 @@ void ExchangeMonitor::slotPollResult( KIO::Job * job )
     TQDomElement item = responses.item( i ).toElement();
     TQDomElement status = item.namedItem( "status" ).toElement();
     TQDomElement subscriptionID = item.namedItem( "subscriptionID" ).toElement();
-    if ( status.text().tqcontains( "200" ) ) {
+    if ( status.text().contains( "200" ) ) {
       kdDebug() << "subscriptionID: " << subscriptionID.text() << endl;
       IDList IDs = makeIDList( subscriptionID.text() );
       TQValueList<KURL> urls;
@@ -355,7 +355,7 @@ void ExchangeMonitor::slotPollResult( KIO::Job * job )
         urls += mSubscriptionMap[ *it ];
       }
       emit notify( IDs, urls );
-    } else if ( ! status.text().tqcontains( "204" ) ) {
+    } else if ( ! status.text().contains( "204" ) ) {
       kdWarning() << "POLL result is not 200 or 204, what's up?" << endl;
       emit error( ExchangeClient::ServerResponseError, "Poll result is wrong: \n" +  response.toString() );
     }
diff --git a/libkpimexchange/core/exchangeupload.cpp b/libkpimexchange/core/exchangeupload.cpp
index 50159fecf..4317a2565 100644
--- a/libkpimexchange/core/exchangeupload.cpp
+++ b/libkpimexchange/core/exchangeupload.cpp
@@ -139,7 +139,7 @@ void ExchangeUpload::tryExist()
   kdDebug() << "Trying to see whether " << url.prettyURL() << " exists" << endl;
  
   TQDomDocument doc;
-  TQDomElement root = addElement( doc, doc, "DAV:", "proptqfind" );
+  TQDomElement root = addElement( doc, doc, "DAV:", "propfind" );
   TQDomElement prop = addElement( doc, root, "DAV:", "prop" );
   addElement( doc, prop, "DAV:", "displayname" );
   addElement( doc, prop, "urn:schemas:calendar", "uid" );
@@ -256,7 +256,7 @@ void ExchangeUpload::startUpload( const KURL &url )
     offsetString = TQString( "+%1:%2" ).tqarg(tzOffset/60, 2).tqarg( tzOffset%60, 2 );
   else
     offsetString = TQString( "-%1:%2" ).tqarg((-tzOffset)/60, 2).tqarg( (-tzOffset)%60, 2 );
-  offsetString = offsetString.tqreplace( TQRegExp(" "), "0" );
+  offsetString = offsetString.replace( TQRegExp(" "), "0" );
 
   kdDebug() << "Timezone offset: " << tzOffset << " : " << offsetString << endl;
   kdDebug() << "ExchangeUpload::mTimeZoneId=" << mTimeZoneId << endl;
@@ -292,8 +292,8 @@ void ExchangeUpload::startUpload( const KURL &url )
     KCal::ICalFormat *format = new KCal::ICalFormat();
     TQString recurstr = format->toString( recurrence->defaultRRule() );
     // Strip leading "RRULE\n :" and whitespace
-    recurstr = recurstr.tqreplace( TQRegExp("^[A-Z]*[\\s]*:"), "").stripWhiteSpace();
-    kdDebug() << "Recurrence rule after tqreplace: \"" << recurstr << "\"" << endl;
+    recurstr = recurstr.replace( TQRegExp("^[A-Z]*[\\s]*:"), "").stripWhiteSpace();
+    kdDebug() << "Recurrence rule after replace: \"" << recurstr << "\"" << endl;
     delete format;
     TQDomElement rrule = addElement( doc, prop, "urn:schemas:calendar:", "rrule" );
     addElement( doc, rrule, "xml:", "v", recurstr );
@@ -360,8 +360,8 @@ void ExchangeUpload::slotPatchResult( KIO::Job *job )
                          .toElement();
   kdDebug() << "status: " << status.text() << endl;
   kdDebug() << "propstat: " << propstat.text() << endl;
-  if ( ! ( status.text().tqcontains( "201" ) || 
-           propstat.text().tqcontains( "200" ) ) )
+  if ( ! ( status.text().contains( "201" ) || 
+           propstat.text().contains( "200" ) ) )
     emit finished( this, ExchangeClient::EventWriteError,
                    "Upload error response: \n" + response.toString() ); 
   else 
diff --git a/libkpimidentities/identity.cpp b/libkpimidentities/identity.cpp
index 1305a2603..a9b63b857 100644
--- a/libkpimidentities/identity.cpp
+++ b/libkpimidentities/identity.cpp
@@ -146,7 +146,7 @@ TQString Signature::withSeparator( bool * ok ) const
   if ( signature.startsWith( TQString::tqfromLatin1("-- \n") ) )
     // already have signature separator at start of sig:
     return TQString::tqfromLatin1("\n") += signature;
-  else if ( signature.tqfind( TQString::tqfromLatin1("\n-- \n") ) != -1 )
+  else if ( signature.find( TQString::tqfromLatin1("\n-- \n") ) != -1 )
     // already have signature separator inside sig; don't prepend '\n'
     // to improve abusing signatures as templates:
     return signature;
@@ -531,7 +531,7 @@ TQString Identity::fullEmailAddr(void) const
   // add DTQUOTE's if necessary:
   bool needsQuotes=false;
   for (unsigned int i=0; i < mFullName.length(); i++) {
-    if ( specials.tqcontains( mFullName[i] ) )
+    if ( specials.contains( mFullName[i] ) )
       needsQuotes = true;
     else if ( mFullName[i] == '\\' || mFullName[i] == '"' ) {
       needsQuotes = true;
diff --git a/libkpimidentities/identitycombo.cpp b/libkpimidentities/identitycombo.cpp
index a33c98466..636483c74 100644
--- a/libkpimidentities/identitycombo.cpp
+++ b/libkpimidentities/identitycombo.cpp
@@ -66,7 +66,7 @@ void IdentityCombo::setCurrentIdentity( const Identity & identity ) {
 }
 
 void IdentityCombo::setCurrentIdentity( const TQString & name ) {
-  int idx = mIdentityManager->identities().tqfindIndex( name );
+  int idx = mIdentityManager->identities().findIndex( name );
   if ( idx < 0 ) return;
   if ( idx == currentItem() ) return;
 
@@ -78,7 +78,7 @@ void IdentityCombo::setCurrentIdentity( const TQString & name ) {
 }
 
 void IdentityCombo::setCurrentIdentity( uint uoid ) {
-  int idx = mUoidList.tqfindIndex( uoid );
+  int idx = mUoidList.findIndex( uoid );
   if ( idx < 0 ) return;
   if ( idx == currentItem() ) return;
 
@@ -109,7 +109,7 @@ void IdentityCombo::slotIdentityManagerChanged() {
   uint oldIdentity = mUoidList[ currentItem() ];
 
   reloadUoidList();
-  int idx = mUoidList.tqfindIndex( oldIdentity );
+  int idx = mUoidList.findIndex( oldIdentity );
 
   blockSignals( true );
   reloadCombo();
diff --git a/libkpimidentities/identitymanager.cpp b/libkpimidentities/identitymanager.cpp
index 4cc53e816..8d1fa8449 100644
--- a/libkpimidentities/identitymanager.cpp
+++ b/libkpimidentities/identitymanager.cpp
@@ -117,7 +117,7 @@ void IdentityManager::commit()
   // find added and changed identities:
   for ( TQValueList<Identity>::ConstIterator it = mShadowIdentities.begin() ;
 	it != mShadowIdentities.end() ; ++it ) {
-    TQValueList<uint>::Iterator uoid = seenUOIDs.tqfind( (*it).uoid() );
+    TQValueList<uint>::Iterator uoid = seenUOIDs.find( (*it).uoid() );
     if ( uoid != seenUOIDs.end() ) {
       const Identity & orig = identityForUoid( *uoid ); // look it up in mIdentities
       if ( *it != orig ) {
@@ -351,7 +351,7 @@ const Identity & IdentityManager::defaultIdentity() const {
 bool IdentityManager::setAsDefault( const TQString & name ) {
   // First, check if the identity actually exists:
   TQStringList names = shadowIdentities();
-  if ( names.tqfind( name ) == names.end() ) return false;
+  if ( names.find( name ) == names.end() ) return false;
   // Then, change the default as requested:
   for ( Iterator it = modifyBegin() ; it != modifyEnd() ; ++it )
     (*it).setIsDefault( (*it).identityName() == name );
@@ -488,7 +488,7 @@ int IdentityManager::newUoid()
 
   do {
     uoid = kapp->random();
-  } while ( usedUOIDs.tqfind( uoid ) != usedUOIDs.end() );
+  } while ( usedUOIDs.find( uoid ) != usedUOIDs.end() );
 
   return uoid;
 }
diff --git a/mimelib/LICENSE b/mimelib/LICENSE
index aaf47afb6..623b6258a 100644
--- a/mimelib/LICENSE
+++ b/mimelib/LICENSE
@@ -59,7 +59,7 @@ modification follow.
 		    GNU GENERAL PUBLIC LICENSE
    TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
 
-  0. This License applies to any program or other work which tqcontains
+  0. This License applies to any program or other work which contains
 a notice placed by the copyright holder saying it may be distributed
 under the terms of this General Public License.  The "Program", below,
 refers to any such program or work, and a "work based on the Program"
@@ -154,7 +154,7 @@ Sections 1 and 2 above provided that you also do one of the following:
 
 The source code for a work means the preferred form of the work for
 making modifications to it.  For an executable work, complete source
-code means all the source code for all modules it tqcontains, plus any
+code means all the source code for all modules it contains, plus any
 associated interface definition files, plus the scripts used to
 control compilation and installation of the executable.  However, as a
 special exception, the source code distributed need not include
diff --git a/mimelib/Tutorial b/mimelib/Tutorial
index 2833dd033..dfa98156a 100644
--- a/mimelib/Tutorial
+++ b/mimelib/Tutorial
@@ -18,7 +18,7 @@ following objectives in mind:
 MIME++ classes directly model the elements of the BNF grammar specified in
 RFC-822, RFC-2045, and RFC-2046.  For this reason, I recommend that you
 understand these RFCs and keep a copy of them handy as you learn MIME++. 
-If you know C++ well, and if you are familiar with the RFCs, you should tqfind
+If you know C++ well, and if you are familiar with the RFCs, you should find
 MIME++ easy to learn and use.  If you are new to C++ and object-oriented
 programming, you will find in MIME++ some very good object-oriented
 techinques, and hopefully you will learn a lot.
@@ -94,7 +94,7 @@ broken-down representation.  If you add a new DwField object (representing a
 new header field) to the DwHeaders object (representing the header), the
 is-modified flag will be set for the DwHeaders object, indicating that the
 string representation of the DwHeaders object will have to be re-assembled
-from the header fields that it tqcontains.  When a node's is-modified flag is
+from the header fields that it contains.  When a node's is-modified flag is
 set, it also notifies its tqparent node to set its is-modified flag.  Thus,
 when the DwHeaders object's is-modified flag is set, the DwMessage object
 that is its tqparent will also have its is-modified flag set.  That way, when
diff --git a/mimelib/binhex.cpp b/mimelib/binhex.cpp
index 6ea079616..735c08a30 100644
--- a/mimelib/binhex.cpp
+++ b/mimelib/binhex.cpp
@@ -662,14 +662,14 @@ int DwBinhex::Decode()
     DwBinhexDecodeCtx ctx;
     ctx.mBinhexChars = mBinhexChars;
 	// Find the preamble
-    ctx.mPos = ctx.mBinhexChars.tqfind("(This file must be converted "
+    ctx.mPos = ctx.mBinhexChars.find("(This file must be converted "
         "with BinHex", 0);
     if (ctx.mPos == DwString::npos) {
         return -1; // error!
     }
     ctx.mPos += 40;
     // Advance to just past the colon
-    ctx.mPos = ctx.mBinhexChars.tqfind((char) ':', ctx.mPos);
+    ctx.mPos = ctx.mBinhexChars.find((char) ':', ctx.mPos);
     if (ctx.mPos == DwString::npos) {
         return -1; // error!
     }
